/*----------------------------------------------------------------------------
 *      Name:    main.c
 *      Purpose: USB Mass Storage Demo
 *      Version: V1.00
 *----------------------------------------------------------------------------
 * This file is part of the OnAMAPLE tools.
 *
 * Copyright (c) 2007-2013 r.a.m. Factory STORE. All rights reserved.
 *---------------------------------------------------------------------------*/

#include <stm32f10x_lib.h>                           // stm32f10x definitions

#include "type.h"

#include "STM32_Init.h"                              // stm32 initialisation
#include "usb.h"
#include "usbcfg.h"
#include "usbhw.h"
#include "usbcore.h"
#include "mscuser.h"

#include "../MIELIB/inc/Interfaces.h"

/* Main Program */

int main (void) 
{
  stm32_Init ();                                     // STM32 Initialization

  USB_Init();                                        // USB Initialization
  USB_Connect(TRUE);                                 // USB Connect

  while (1) 
	{                                        // Loop forever
    ;
  } // end while
} // end main
